valorant-api-types
Version:
A collection of documented endpoints and return types for the unofficial Valorant API
67 lines (66 loc) • 2.25 kB
TypeScript
import { z } from 'zod';
export declare const friendRequestsEndpoint: {
readonly name: "Friend Requests";
readonly description: "Get a list of friend requests";
readonly category: "Local Endpoints";
readonly type: "local";
readonly suffix: "chat/v4/friendrequests";
readonly riotRequirements: {
readonly localAuth: true;
};
readonly responses: {
readonly '200': z.ZodObject<{
requests: z.ZodArray<z.ZodObject<{
game_name: z.ZodString;
game_tag: z.ZodString;
name: z.ZodString;
note: z.ZodString;
pid: z.ZodString;
puuid: z.ZodString;
region: z.ZodString;
subscription: z.ZodEnum<["pending_out", "pending_in"]>;
}, "strip", z.ZodTypeAny, {
game_name: string;
game_tag: string;
name: string;
pid: string;
puuid: string;
region: string;
note: string;
subscription: "pending_out" | "pending_in";
}, {
game_name: string;
game_tag: string;
name: string;
pid: string;
puuid: string;
region: string;
note: string;
subscription: "pending_out" | "pending_in";
}>, "many">;
}, "strip", z.ZodTypeAny, {
requests: {
game_name: string;
game_tag: string;
name: string;
pid: string;
puuid: string;
region: string;
note: string;
subscription: "pending_out" | "pending_in";
}[];
}, {
requests: {
game_name: string;
game_tag: string;
name: string;
pid: string;
puuid: string;
region: string;
note: string;
subscription: "pending_out" | "pending_in";
}[];
}>;
};
};
export type FriendRequestsResponse = z.input<typeof friendRequestsEndpoint.responses['200']>;